Bug 152426 - Maintainer update: audio/musicpd update to 0.15.15
Summary: Maintainer update: audio/musicpd update to 0.15.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-20 18:20 UTC by Chris Rees
Modified: 2010-11-21 16:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2010-11-20 18:20:07 UTC
	Musicpd is updated to 0.15.15.

	I've also modified the MPDCONF line added in the last update to allow a user who is anal about configuration file naming to rename their mpd.conf in their make.conf (example; I prefer to call mine musicpd.conf). The default is still mpd.conf!

	If you (committer) want to put something in KNOBS that's fine, but I didn't really think it was appropriate; it's specific to this port only.

Fix: 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--Ce2DaGkgCzD2lt0XmvDZWgGdKBXKyyM7FXbPIJHbJrWeZEo1
Content-Type: text/plain; name="musicpd.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="musicpd.diff"

diff -ruN musicpd.orig/Makefile musicpd/Makefile
--- musicpd.orig/Makefile	2010-11-20 12:09:48.000000000 +0000
+++ musicpd/Makefile	2010-11-20 12:23:36.000000000 +0000
@@ -1,4 +1,4 @@
-# New ports collection makefile for:	Music Player Daemon
+# New ports collection Makefile for:	Music Player Daemon
 # Date created:				Thu Oct 02 2003
 # Whom:					Mark Reidel <ports@mark.reidel.info>
 #
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	musicpd
-PORTVERSION=	0.15.12
-PORTREVISION=	1
+PORTVERSION=	0.15.15
 CATEGORIES=	audio ipv6
 MASTER_SITES=	SF/${PORTNAME}/mpd/${PORTVERSION}
 DISTNAME=	mpd-${PORTVERSION}
@@ -18,6 +17,8 @@
 LIB_DEPENDS+=	mad.2:${PORTSDIR}/audio/libmad \
 		curl.6:${PORTSDIR}/ftp/curl
 
+LICENSE=	GPLv2
+
 USE_GMAKE=	yes
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
@@ -62,7 +63,7 @@
 MPDDIR=	var/mpd
 MPDUSER=	mpd
 MPDGROUP=	mpd
-MPDCONF=	mpd.conf
+MPDCONF?=	mpd.conf
 
 USERS=	${MPDUSER}
 GROUPS=	${MPDGROUP}
@@ -232,7 +233,8 @@
 post-install:
 	@${INSTALL_DATA} ${WRKSRC}/doc/mpdconf.example ${PREFIX}/etc/${MPDCONF}.sample
 	@if [ ! -f ${PREFIX}/etc/${MPDCONF} ]; then \
-		${CP} -p ${PREFIX}/etc/${MPDCONF}.sample ${PREFIX}/etc/${MPDCONF} ; \
+		${CP} -p ${PREFIX}/etc/${MPDCONF}.sample \
+			${PREFIX}/etc/${MPDCONF} ; \
 	fi
 	@${MKDIR} ${PREFIX}/${MPDDIR}
 	@${CHOWN} -R ${MPDUSER}:${MPDGROUP} ${PREFIX}/${MPDDIR}
diff -ruN musicpd.orig/distinfo musicpd/distinfo
--- musicpd.orig/distinfo	2010-11-20 12:09:48.000000000 +0000
+++ musicpd/distinfo	2010-11-20 12:21:02.000000000 +0000
@@ -1,3 +1,2 @@
-MD5 (mpd-0.15.12.tar.bz2) = b00b289a20ecd9accfd4972d6395135c
-SHA256 (mpd-0.15.12.tar.bz2) = 0a9ff27d265b3ca2892bf56f2b01acffc657a81833e83dabbec9b7a4be80b3b3
-SIZE (mpd-0.15.12.tar.bz2) = 391039
+SHA256 (mpd-0.15.15.tar.bz2) = db6dc242722e3178bcbff6b67ced8caccbb8dcddf867b8ab6bab42d6e55982ab
+SIZE (mpd-0.15.15.tar.bz2) = 391688
Comment 1 Nicola Vitale freebsd_committer 2010-11-20 22:06:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

I will take it.
Comment 2 dfilter service freebsd_committer 2010-11-21 16:06:19 UTC
nivit       2010-11-21 16:06:14 UTC

  FreeBSD ports repository

  Modified files:
    audio/musicpd        Makefile distinfo 
  Log:
  - Update to 0.15.15
  - Add LICENSE variable in Makefile
  
  PR:             ports/152426
  Submitted by:   Chris Rees <utisoft@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.57      +7 -5      ports/audio/musicpd/Makefile
  1.24      +2 -3      ports/audio/musicpd/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Nicola Vitale freebsd_committer 2010-11-21 16:06:34 UTC
State Changed
From-To: open->closed

Committed, thanks!